# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: ConfigurationServicer.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='ConfigurationServicer.proto',
  package='sila2.org.silastandard.examples.configurationservicer.v1',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x1b\x43onfigurationServicer.proto\x12\x38sila2.org.silastandard.examples.configurationservicer.v1\x1a\x13SiLAFramework.proto\"\x86\x01\n\x1cSetTubingDiameter_Parameters\x12\x30\n\x07\x43hannel\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x34\n\x0eTubingDiameter\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"X\n\x1bSetTubingDiameter_Responses\x12\x39\n\x11TubingDiameterSet\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"J\n\x19ResetToDefault_Parameters\x12-\n\x05Reset\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"O\n\x18ResetToDefault_Responses\x12\x33\n\x0bResetStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"[\n\x1cGetTubingDiameter_Parameters\x12;\n\x15\x43urrentTubingDiameter\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"Z\n\x1bGetTubingDiameter_Responses\x12;\n\x15\x43urrentTubingDiameter\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x85\x01\n\x17SetBacksteps_Parameters\x12\x30\n\x07\x43hannel\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x38\n\x10\x42\x61\x63kstepsSetting\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"U\n\x16SetBacksteps_Responses\x12;\n\x13\x42\x61\x63kstepsSettingSet\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"S\n\x17GetBacksteps_Parameters\x12\x38\n\x10\x42\x61\x63kstepsSetting\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"Y\n\x16GetBacksteps_Responses\x12?\n\x17\x43urrentBackstepsSetting\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String2\xd3\x07\n\x15\x43onfigurationServicer\x12\xc4\x01\n\x11SetTubingDiameter\x12V.sila2.org.silastandard.examples.configurationservicer.v1.SetTubingDiameter_Parameters\x1aU.sila2.org.silastandard.examples.configurationservicer.v1.SetTubingDiameter_Responses\"\x00\x12\xbb\x01\n\x0eResetToDefault\x12S.sila2.org.silastandard.examples.configurationservicer.v1.ResetToDefault_Parameters\x1aR.sila2.org.silastandard.examples.configurationservicer.v1.ResetToDefault_Responses\"\x00\x12\xc4\x01\n\x11GetTubingDiameter\x12V.sila2.org.silastandard.examples.configurationservicer.v1.GetTubingDiameter_Parameters\x1aU.sila2.org.silastandard.examples.configurationservicer.v1.GetTubingDiameter_Responses\"\x00\x12\xb5\x01\n\x0cSetBacksteps\x12Q.sila2.org.silastandard.examples.configurationservicer.v1.SetBacksteps_Parameters\x1aP.sila2.org.silastandard.examples.configurationservicer.v1.SetBacksteps_Responses\"\x00\x12\xb5\x01\n\x0cGetBacksteps\x12Q.sila2.org.silastandard.examples.configurationservicer.v1.GetBacksteps_Parameters\x1aP.sila2.org.silastandard.examples.configurationservicer.v1.GetBacksteps_Responses\"\x00\x62\x06proto3')
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_SETTUBINGDIAMETER_PARAMETERS = _descriptor.Descriptor(
  name='SetTubingDiameter_Parameters',
  full_name='sila2.org.silastandard.examples.configurationservicer.v1.SetTubingDiameter_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='Channel', full_name='sila2.org.silastandard.examples.configurationservicer.v1.SetTubingDiameter_Parameters.Channel', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='TubingDiameter', full_name='sila2.org.silastandard.examples.configurationservicer.v1.SetTubingDiameter_Parameters.TubingDiameter', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=111,
  serialized_end=245,
)


_SETTUBINGDIAMETER_RESPONSES = _descriptor.Descriptor(
  name='SetTubingDiameter_Responses',
  full_name='sila2.org.silastandard.examples.configurationservicer.v1.SetTubingDiameter_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='TubingDiameterSet', full_name='sila2.org.silastandard.examples.configurationservicer.v1.SetTubingDiameter_Responses.TubingDiameterSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=247,
  serialized_end=335,
)


_RESETTODEFAULT_PARAMETERS = _descriptor.Descriptor(
  name='ResetToDefault_Parameters',
  full_name='sila2.org.silastandard.examples.configurationservicer.v1.ResetToDefault_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='Reset', full_name='sila2.org.silastandard.examples.configurationservicer.v1.ResetToDefault_Parameters.Reset', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=337,
  serialized_end=411,
)


_RESETTODEFAULT_RESPONSES = _descriptor.Descriptor(
  name='ResetToDefault_Responses',
  full_name='sila2.org.silastandard.examples.configurationservicer.v1.ResetToDefault_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='ResetStatus', full_name='sila2.org.silastandard.examples.configurationservicer.v1.ResetToDefault_Responses.ResetStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=413,
  serialized_end=492,
)


_GETTUBINGDIAMETER_PARAMETERS = _descriptor.Descriptor(
  name='GetTubingDiameter_Parameters',
  full_name='sila2.org.silastandard.examples.configurationservicer.v1.GetTubingDiameter_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentTubingDiameter', full_name='sila2.org.silastandard.examples.configurationservicer.v1.GetTubingDiameter_Parameters.CurrentTubingDiameter', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=494,
  serialized_end=585,
)


_GETTUBINGDIAMETER_RESPONSES = _descriptor.Descriptor(
  name='GetTubingDiameter_Responses',
  full_name='sila2.org.silastandard.examples.configurationservicer.v1.GetTubingDiameter_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentTubingDiameter', full_name='sila2.org.silastandard.examples.configurationservicer.v1.GetTubingDiameter_Responses.CurrentTubingDiameter', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=587,
  serialized_end=677,
)


_SETBACKSTEPS_PARAMETERS = _descriptor.Descriptor(
  name='SetBacksteps_Parameters',
  full_name='sila2.org.silastandard.examples.configurationservicer.v1.SetBacksteps_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='Channel', full_name='sila2.org.silastandard.examples.configurationservicer.v1.SetBacksteps_Parameters.Channel', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='BackstepsSetting', full_name='sila2.org.silastandard.examples.configurationservicer.v1.SetBacksteps_Parameters.BackstepsSetting', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=680,
  serialized_end=813,
)


_SETBACKSTEPS_RESPONSES = _descriptor.Descriptor(
  name='SetBacksteps_Responses',
  full_name='sila2.org.silastandard.examples.configurationservicer.v1.SetBacksteps_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='BackstepsSettingSet', full_name='sila2.org.silastandard.examples.configurationservicer.v1.SetBacksteps_Responses.BackstepsSettingSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=815,
  serialized_end=900,
)


_GETBACKSTEPS_PARAMETERS = _descriptor.Descriptor(
  name='GetBacksteps_Parameters',
  full_name='sila2.org.silastandard.examples.configurationservicer.v1.GetBacksteps_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='BackstepsSetting', full_name='sila2.org.silastandard.examples.configurationservicer.v1.GetBacksteps_Parameters.BackstepsSetting', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=902,
  serialized_end=985,
)


_GETBACKSTEPS_RESPONSES = _descriptor.Descriptor(
  name='GetBacksteps_Responses',
  full_name='sila2.org.silastandard.examples.configurationservicer.v1.GetBacksteps_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentBackstepsSetting', full_name='sila2.org.silastandard.examples.configurationservicer.v1.GetBacksteps_Responses.CurrentBackstepsSetting', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=987,
  serialized_end=1076,
)

_SETTUBINGDIAMETER_PARAMETERS.fields_by_name['Channel'].message_type = SiLAFramework__pb2._INTEGER
_SETTUBINGDIAMETER_PARAMETERS.fields_by_name['TubingDiameter'].message_type = SiLAFramework__pb2._REAL
_SETTUBINGDIAMETER_RESPONSES.fields_by_name['TubingDiameterSet'].message_type = SiLAFramework__pb2._STRING
_RESETTODEFAULT_PARAMETERS.fields_by_name['Reset'].message_type = SiLAFramework__pb2._STRING
_RESETTODEFAULT_RESPONSES.fields_by_name['ResetStatus'].message_type = SiLAFramework__pb2._STRING
_GETTUBINGDIAMETER_PARAMETERS.fields_by_name['CurrentTubingDiameter'].message_type = SiLAFramework__pb2._REAL
_GETTUBINGDIAMETER_RESPONSES.fields_by_name['CurrentTubingDiameter'].message_type = SiLAFramework__pb2._REAL
_SETBACKSTEPS_PARAMETERS.fields_by_name['Channel'].message_type = SiLAFramework__pb2._INTEGER
_SETBACKSTEPS_PARAMETERS.fields_by_name['BackstepsSetting'].message_type = SiLAFramework__pb2._STRING
_SETBACKSTEPS_RESPONSES.fields_by_name['BackstepsSettingSet'].message_type = SiLAFramework__pb2._STRING
_GETBACKSTEPS_PARAMETERS.fields_by_name['BackstepsSetting'].message_type = SiLAFramework__pb2._STRING
_GETBACKSTEPS_RESPONSES.fields_by_name['CurrentBackstepsSetting'].message_type = SiLAFramework__pb2._STRING
DESCRIPTOR.message_types_by_name['SetTubingDiameter_Parameters'] = _SETTUBINGDIAMETER_PARAMETERS
DESCRIPTOR.message_types_by_name['SetTubingDiameter_Responses'] = _SETTUBINGDIAMETER_RESPONSES
DESCRIPTOR.message_types_by_name['ResetToDefault_Parameters'] = _RESETTODEFAULT_PARAMETERS
DESCRIPTOR.message_types_by_name['ResetToDefault_Responses'] = _RESETTODEFAULT_RESPONSES
DESCRIPTOR.message_types_by_name['GetTubingDiameter_Parameters'] = _GETTUBINGDIAMETER_PARAMETERS
DESCRIPTOR.message_types_by_name['GetTubingDiameter_Responses'] = _GETTUBINGDIAMETER_RESPONSES
DESCRIPTOR.message_types_by_name['SetBacksteps_Parameters'] = _SETBACKSTEPS_PARAMETERS
DESCRIPTOR.message_types_by_name['SetBacksteps_Responses'] = _SETBACKSTEPS_RESPONSES
DESCRIPTOR.message_types_by_name['GetBacksteps_Parameters'] = _GETBACKSTEPS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetBacksteps_Responses'] = _GETBACKSTEPS_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

SetTubingDiameter_Parameters = _reflection.GeneratedProtocolMessageType('SetTubingDiameter_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETTUBINGDIAMETER_PARAMETERS,
  '__module__' : 'ConfigurationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.configurationservicer.v1.SetTubingDiameter_Parameters)
  })
_sym_db.RegisterMessage(SetTubingDiameter_Parameters)

SetTubingDiameter_Responses = _reflection.GeneratedProtocolMessageType('SetTubingDiameter_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETTUBINGDIAMETER_RESPONSES,
  '__module__' : 'ConfigurationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.configurationservicer.v1.SetTubingDiameter_Responses)
  })
_sym_db.RegisterMessage(SetTubingDiameter_Responses)

ResetToDefault_Parameters = _reflection.GeneratedProtocolMessageType('ResetToDefault_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _RESETTODEFAULT_PARAMETERS,
  '__module__' : 'ConfigurationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.configurationservicer.v1.ResetToDefault_Parameters)
  })
_sym_db.RegisterMessage(ResetToDefault_Parameters)

ResetToDefault_Responses = _reflection.GeneratedProtocolMessageType('ResetToDefault_Responses', (_message.Message,), {
  'DESCRIPTOR' : _RESETTODEFAULT_RESPONSES,
  '__module__' : 'ConfigurationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.configurationservicer.v1.ResetToDefault_Responses)
  })
_sym_db.RegisterMessage(ResetToDefault_Responses)

GetTubingDiameter_Parameters = _reflection.GeneratedProtocolMessageType('GetTubingDiameter_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETTUBINGDIAMETER_PARAMETERS,
  '__module__' : 'ConfigurationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.configurationservicer.v1.GetTubingDiameter_Parameters)
  })
_sym_db.RegisterMessage(GetTubingDiameter_Parameters)

GetTubingDiameter_Responses = _reflection.GeneratedProtocolMessageType('GetTubingDiameter_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETTUBINGDIAMETER_RESPONSES,
  '__module__' : 'ConfigurationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.configurationservicer.v1.GetTubingDiameter_Responses)
  })
_sym_db.RegisterMessage(GetTubingDiameter_Responses)

SetBacksteps_Parameters = _reflection.GeneratedProtocolMessageType('SetBacksteps_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETBACKSTEPS_PARAMETERS,
  '__module__' : 'ConfigurationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.configurationservicer.v1.SetBacksteps_Parameters)
  })
_sym_db.RegisterMessage(SetBacksteps_Parameters)

SetBacksteps_Responses = _reflection.GeneratedProtocolMessageType('SetBacksteps_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETBACKSTEPS_RESPONSES,
  '__module__' : 'ConfigurationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.configurationservicer.v1.SetBacksteps_Responses)
  })
_sym_db.RegisterMessage(SetBacksteps_Responses)

GetBacksteps_Parameters = _reflection.GeneratedProtocolMessageType('GetBacksteps_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETBACKSTEPS_PARAMETERS,
  '__module__' : 'ConfigurationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.configurationservicer.v1.GetBacksteps_Parameters)
  })
_sym_db.RegisterMessage(GetBacksteps_Parameters)

GetBacksteps_Responses = _reflection.GeneratedProtocolMessageType('GetBacksteps_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETBACKSTEPS_RESPONSES,
  '__module__' : 'ConfigurationServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.configurationservicer.v1.GetBacksteps_Responses)
  })
_sym_db.RegisterMessage(GetBacksteps_Responses)



_CONFIGURATIONSERVICER = _descriptor.ServiceDescriptor(
  name='ConfigurationServicer',
  full_name='sila2.org.silastandard.examples.configurationservicer.v1.ConfigurationServicer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=1079,
  serialized_end=2058,
  methods=[
  _descriptor.MethodDescriptor(
    name='SetTubingDiameter',
    full_name='sila2.org.silastandard.examples.configurationservicer.v1.ConfigurationServicer.SetTubingDiameter',
    index=0,
    containing_service=None,
    input_type=_SETTUBINGDIAMETER_PARAMETERS,
    output_type=_SETTUBINGDIAMETER_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='ResetToDefault',
    full_name='sila2.org.silastandard.examples.configurationservicer.v1.ConfigurationServicer.ResetToDefault',
    index=1,
    containing_service=None,
    input_type=_RESETTODEFAULT_PARAMETERS,
    output_type=_RESETTODEFAULT_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetTubingDiameter',
    full_name='sila2.org.silastandard.examples.configurationservicer.v1.ConfigurationServicer.GetTubingDiameter',
    index=2,
    containing_service=None,
    input_type=_GETTUBINGDIAMETER_PARAMETERS,
    output_type=_GETTUBINGDIAMETER_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetBacksteps',
    full_name='sila2.org.silastandard.examples.configurationservicer.v1.ConfigurationServicer.SetBacksteps',
    index=3,
    containing_service=None,
    input_type=_SETBACKSTEPS_PARAMETERS,
    output_type=_SETBACKSTEPS_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetBacksteps',
    full_name='sila2.org.silastandard.examples.configurationservicer.v1.ConfigurationServicer.GetBacksteps',
    index=4,
    containing_service=None,
    input_type=_GETBACKSTEPS_PARAMETERS,
    output_type=_GETBACKSTEPS_RESPONSES,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_CONFIGURATIONSERVICER)

DESCRIPTOR.services_by_name['ConfigurationServicer'] = _CONFIGURATIONSERVICER

# @@protoc_insertion_point(module_scope)
